#!/bin/sh
set -e
set -x

day=$1
train_path=$2
model_name=$3
output_file=$4
bias=$5
HADOOP="/opt/apps/HADOOP-COMMON/hadoop-common-current/bin/hadoop"
$HADOOP fs -text ${train_path}/${day}/* | /root/sunmingze/alphaFM/bin/fm_predict -m model/$model_name -dim ${bias} -core 8 -out predict/${output_file}_$day.txt
cat predict/${output_file}_$day.txt | /root/sunmingze/AUC/AUC


